<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index__"><span>_</span></a></li>
      <li><a href="functions_a.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li class="current"><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_i.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>index()
: <a class="el" href="class_opt_argv_iter.html#aa92e7a667671e2dd77330142cbd9bf88">OptArgvIter</a>
</li>
<li>info()
: <a class="el" href="class_log.html#a52bf8d1b0ecfec71e6b21815ec165447">Log</a>
</li>
<li>info2()
: <a class="el" href="class_log.html#a350246a1cc5865b6e2b9607594df671c">Log</a>
</li>
<li>init()
: <a class="el" href="classerpcgen_1_1_interface_definition.html#a8606a673f88a995913d7e80ded615898">erpcgen::InterfaceDefinition</a>
</li>
<li>int_size_t
: <a class="el" href="class_sized_integer_value.html#a038ad11ad0a7b75a0d043b89459c3ede">SizedIntegerValue</a>
</li>
<li>Interface()
: <a class="el" href="classerpcgen_1_1_interface.html#a5a582889a8b33b56b2bc95ca50553e82">erpcgen::Interface</a>
</li>
<li>InterfaceDefinition()
: <a class="el" href="classerpcgen_1_1_interface_definition.html#a3f7c1016bef2b3dd45d08f4316580106">erpcgen::InterfaceDefinition</a>
</li>
<li>interfaceLists_t
: <a class="el" href="classerpcgen_1_1_generator.html#a1d2e42996d367985d9b5cc69889ba648">erpcgen::Generator</a>
</li>
<li>isAbsolute()
: <a class="el" href="class_path_searcher.html#a5d9ed7d522f86c5c9f28ee392859215d">PathSearcher</a>
</li>
<li>isAlias()
: <a class="el" href="classerpcgen_1_1_alias_type.html#a75ebad0aa57de6bf1f80462ce16f8002">erpcgen::AliasType</a>
, <a class="el" href="classerpcgen_1_1_data_type.html#a68c92086e4cfadcf8a8fd5063fed070d">erpcgen::DataType</a>
</li>
<li>isArray()
: <a class="el" href="classerpcgen_1_1_array_type.html#a8dfe8f3d9c4e3999afe14397ad779e0b">erpcgen::ArrayType</a>
, <a class="el" href="classerpcgen_1_1_data_type.html#a9c4c85f49b5d199ae23326daf228e1d2">erpcgen::DataType</a>
</li>
<li>isBinary()
: <a class="el" href="classerpcgen_1_1_builtin_type.html#ada0b92d144c0b445c0c143442c836024">erpcgen::BuiltinType</a>
, <a class="el" href="classerpcgen_1_1_data_type.html#a1be5c32e9ccf8d694c0fd10f15e04e6e">erpcgen::DataType</a>
</li>
<li>isBinaryList()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a37d5531567864298a6846b54ef7e3d0e">erpcgen::CGenerator</a>
</li>
<li>isBinaryOp()
: <a class="el" href="classerpcgen_1_1_token.html#aa672f6921a5c47df6fc6ef0dd8a24730">erpcgen::Token</a>
</li>
<li>isBinaryStruct()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a2332c21014b31adb8e40ea3b9c6b40b6">erpcgen::CGenerator</a>
</li>
<li>isBool()
: <a class="el" href="classerpcgen_1_1_builtin_type.html#aacecc39cd6fe57aa692bf16c393818d5">erpcgen::BuiltinType</a>
</li>
<li>isBuiltin()
: <a class="el" href="classerpcgen_1_1_builtin_type.html#a8007b6e666199f3798fd337c3393a5b3">erpcgen::BuiltinType</a>
, <a class="el" href="classerpcgen_1_1_data_type.html#a9431e09a25ce91aaa8e8301ced975d92">erpcgen::DataType</a>
, <a class="el" href="classerpcgen_1_1_symbol.html#afbb57b6bf584ed7c07e86f5316fa4051">erpcgen::Symbol</a>
</li>
<li>isEnum()
: <a class="el" href="classerpcgen_1_1_data_type.html#ac9a2e6e456ae83bcca8a9f0946a5d317">erpcgen::DataType</a>
, <a class="el" href="classerpcgen_1_1_enum_type.html#aa8ae9ac9e72a4eb3325775d767f31e2d">erpcgen::EnumType</a>
</li>
<li>isFloat()
: <a class="el" href="classerpcgen_1_1_builtin_type.html#aedcdff6ac4b626cff2c787193de3f600">erpcgen::BuiltinType</a>
</li>
<li>isIdentifierTok()
: <a class="el" href="classerpcgen_1_1_token.html#a3361352bc0553f57c04dd6b913844467">erpcgen::Token</a>
</li>
<li>isInt()
: <a class="el" href="classerpcgen_1_1_builtin_type.html#aefe3eb8ff9c15466fad1568058daf72d">erpcgen::BuiltinType</a>
</li>
<li>isList()
: <a class="el" href="classerpcgen_1_1_data_type.html#a6b8242766c0018450af0e4da4954139c">erpcgen::DataType</a>
, <a class="el" href="classerpcgen_1_1_list_type.html#af5696523884fcc96932086e5b9a37cc0">erpcgen::ListType</a>
</li>
<li>isListStruct()
: <a class="el" href="classerpcgen_1_1_c_generator.html#a9d025ca5180ad6d5984ecc17da05dfd6">erpcgen::CGenerator</a>
</li>
<li>isNeedCallFree()
: <a class="el" href="classerpcgen_1_1_c_generator.html#abe661f9679a3693f67b60a3508a684e4">erpcgen::CGenerator</a>
</li>
<li>isNumberTok()
: <a class="el" href="classerpcgen_1_1_token.html#accec209619cbdf66ae402ae835bafb2f">erpcgen::Token</a>
</li>
<li>isOneway()
: <a class="el" href="classerpcgen_1_1_function.html#a97ec473b7f2975801134d921a732eded">erpcgen::Function</a>
</li>
<li>isScalar()
: <a class="el" href="classerpcgen_1_1_builtin_type.html#abdeaaab765db6146f0599adab08ca99b">erpcgen::BuiltinType</a>
</li>
<li>isString()
: <a class="el" href="classerpcgen_1_1_builtin_type.html#a8684c51036dbadb6f0f996994bac27ba">erpcgen::BuiltinType</a>
, <a class="el" href="classerpcgen_1_1_data_type.html#ab5c453e35889dd4d64ed621a9470b806">erpcgen::DataType</a>
</li>
<li>isStruct()
: <a class="el" href="classerpcgen_1_1_data_type.html#a9fc5f7de98a3c8f1067b832ec4723494">erpcgen::DataType</a>
, <a class="el" href="classerpcgen_1_1_struct_type.html#a840aa2dea297e8eb3abc15ed453fbb6b">erpcgen::StructType</a>
</li>
<li>isUnion()
: <a class="el" href="classerpcgen_1_1_data_type.html#ac5b57925fbf7b0a69aee8f11add91745">erpcgen::DataType</a>
, <a class="el" href="classerpcgen_1_1_union_type.html#a3eac98c19587d456ad2f2f8c596baebb">erpcgen::UnionType</a>
</li>
<li>isVoid()
: <a class="el" href="classerpcgen_1_1_data_type.html#a19952c8dc8ef8c4c5041fcf3cd26ae8e">erpcgen::DataType</a>
, <a class="el" href="classerpcgen_1_1_void_type.html#a95819eb90801f50d7ad6b97e5dd7d7ba">erpcgen::VoidType</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
